Subject: Re: [PATCH] net: check for NULL net_device in FIB tables

From: Vegard Nossum <[email-masked]>
Date: Tue, 5 Jul 2016 00:02:09 +0200

On 07/04/2016 11:24 PM, Julian Anastasov wrote:
>
> 	Hello,
>
> On Mon, 4 Jul 2016, Vegard Nossum wrote:
>
>> Alright.
>>
>> Thanks for the review! I can submit a new patch to only check the one
>> place above that actually crashed. Otherwise, if you think it's better
>> to go with your fc_flags suggestion, feel free to send a patch for that.
>> As you can tell, I am not very familiar with this code :-) If you do
>> send a patch, I can test it easily.
>
> 	Of course, here is untested version. May be I'll do some
> testing this weekend and will submit with proper commit
> message...
>
> [PATCH RFC] ipv4: reject RTNH_F_LINKDOWN for incompatible routes
>
> The RTNH_F_LINKDOWN flag is used only for link routes.
> Reject it for error routes and local routes.
>
> Signed-off-by: Julian Anastasov <[email-masked]>

Tested your patch, it fixes the problem for me. I haven't tested if it
breaks anything else :-)

Vegard